import request from "../../utils/request"
import { getWxCode } from "../../service/user"
import { alertInfo, loadingFunc } from "../../utils/index";
import { getOwnTenementList } from "../../service/tenement";

const { OK } = request;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    // list: [],
    // urls: [],
    // indexs: [],
    url: "",
    tenement: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // this.getList()
    loadingFunc(async () => {
      await this.getCode()
    })
  },
  async getList() {
    const { code, message, data } = await getOwnTenementList()
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    let tenements = [];
    data?.forEach(item => {
      const { tenements: ts = [] } = item;
      tenements = [...tenements, ...ts];
    })
    this.setData({
      list: [...tenements]
    })
  },
  async getCode() {
    // const { index, id } = e.currentTarget.dataset;
    const tenement = wx.getStorageSync('tenement');
    const { code, message, data } = await getWxCode(tenement.id)
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    this.setData({
      url: data,
      tenement: tenement
    })
    // const newUrls = that.data.urls;
    // newUrls[index] = data;
    // const newIndexs = that.data.indexs;
    // newIndexs[index] = true;
    // that.setData({
    //   urls: newUrls,
    //   indexs: newIndexs,
    // })
  },
  look(e) {
    const that = this;
    loadingFunc(async () => {
      await this.getCode(e, that)
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})