import { getRechargeDetail } from "../../service/recharge";
import { alertError, alertInfo, loadingFunc } from "../../utils/index";
import { getRechargeOperateType, getRechargeOperateWay } from "../../utils/data";
import request from "../../utils/request"
const { OK } = request
// pages/rechargeDetail/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    detail: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const { id } = options;
    loadingFunc(async () => {
      await this.init(id)
    })
  },
  async init(id) {
    const { code, message, data } = await getRechargeDetail(id)
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    this.setData({
      detail: { ...data, way: getRechargeOperateWay(data.way), type: getRechargeOperateType(data.type) }
    })
  },
  record() {
    const { detail } = this.data;
    wx.showModal({
      title: '提示',
      content: '为了您更好的体验，请复制链接，通过电脑浏览器打开下载',
      showCancel: true,
      cancelText: '关闭',
      confirmText: '复制链接',

      complete: (res) => {
        if (res.confirm) {
          const result = wx.getAccountInfoSync();
          const { envVersion } = result.miniProgram;
          let api = ""
          switch (envVersion) {
            // 开发版
            case 'develop':
              wx.setClipboardData({
                data: `https://1.92.72.5:8080/print/?id=${detail.serialNumber}`,
              })
              break;
            // 体验版
            case 'trial':
              wx.setClipboardData({
                data: `http://1.92.72.5:8080/print/?id=${detail.serialNumber}`,
              })
              break;
            // 正式版
            case 'release':
              wx.setClipboardData({
                data: `https://zgd.hbhcbn.com/print/?id=${detail.serialNumber}`,
              })
              break;
          }
         
        }
      }
    })
  },
  back() {
    // wx.navigateBack({ delta: 1 });
    wx.navigateBack();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})